org.apache.jmeter.gui.action.template

## Class TemplateManager.DefaultEntityResolver

- java.lang.Object
- - org.apache.jmeter.gui.action.template.TemplateManager.DefaultEntityResolver

All Implemented Interfaces:
  EntityResolver

Enclosing class:
  TemplateManager

    public static class TemplateManager.DefaultEntityResolver
    extends Object
    implements EntityResolver

### Constructor Summary

Constructors
Constructor and Description
`DefaultEntityResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputSource` `resolveEntity(String publicId, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEntityResolver

    public DefaultEntityResolver()

### Method Detail

#### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws SAXException,
                                     IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`